﻿-----------------------------------------------------------------------------

local Roster = AceLibrary("Roster-2.1")
local L = AceLibrary("AceLocale-2.2"):new("AssessmentGuild")
L:RegisterTranslations("enUS", function() return {
    ["Guild Members"] = true,

	["FILTER_GUILD"] = "Gather guild members only."
} end)

L:RegisterTranslations("koKR", function() return {
	["Guild Members"] = "길드원",

	["FILTER_GUILD"] = "길드원만 수집합니다."
} end)

L:RegisterTranslations("frFR", function() return {
    ["Guild Members"] = "Membre de la Guilde",

	["FILTER_GUILD"] = "Analyse uniquement les membres de la guilde."
} end)

-----------------------------------------------------------------------------

local guildList = { }

local reset = Assessment.ResetTable
local pairs = pairs

-----------------------------------------------------------------------------

Assessment.ListType.Guild = 
{
	method = function(fightData)
				return pairs(guildList)
			 end,
	description = L["Guild Members"],
}

Assessment.GatherFilterList.GUILD =
{
    method = function(name) return guildList[name] end,
	description = L["FILTER_GUILD"]
}

-----------------------------------------------------------------------------

local AssessmentGuild = Assessment:NewModule("Guild", "AceEvent-2.0", "Parser-3.0")
AssessmentGuild.db = Assessment:AcquireDBNamespace("Guild")
Assessment:RegisterDefaults("Guild", "profile", {
	enable = true
})

function AssessmentGuild:OnEnable()
	self:RegisterEvent("GUILD_ROSTER_UPDATE", "UpdateGuildList")
	self:UpdateGuildList()
end

function AssessmentGuild:UpdateGuildList()
	reset(guildList)

    if IsInGuild() then
		for i = 1, GetNumGuildMembers(true) do
			local name = GetGuildRosterInfo(i)
			guildList[name] = true
		end
	end
end

-----------------------------------------------------------------------------
